STOFFOLEParser::OleDirectory Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
STOFFOLEParser::OleDirectory Struct Reference

Internal: internal method to keep ole directory and their content. More...

`#include <STOFFOLEParser.hxx>`

## Public Member Functions
| OleDirectory (STOFFInputStreamPtr input, std::string const &dir)
| constructor More...
void | addNewBase (std::string const &base)
| add a new base file More...
std::vector< std::string > | getUnparsedOles () const
| returns the list of unknown ole More...

## Public Attributes
STOFFInputStreamPtr | m_input
| the main input More...
std::string | m_dir
| the dir name More...
std::vector< OleContent > | m_contentList
| the list of base name More...
STOFFDocument::Kind | m_kind
| the ole kind More...
bool | m_hasCompObj
| true if the directory contains a compobj object More...
std::string | m_clsName
| the compobj CLSname More...
std::string | m_clipName
| the compobj clipname More...

## Detailed Description

Internal: internal method to keep ole directory and their content.

## Constructor & Destructor Documentation

STOFFOLEParser::OleDirectory::OleDirectory | ( | STOFFInputStreamPtr | input,
|  | std::string const & | dir
| ) |  |
| inline

constructor

## Member Function Documentation

void STOFFOLEParser::OleDirectory::addNewBase | ( | std::string const & | base | ) |
| inline

add a new base file

std::vector<std::string> STOFFOLEParser::OleDirectory::getUnparsedOles | ( |  | ) | const
| inline

returns the list of unknown ole

Referenced by SDAParser::createZones(), SDCParser::createZones(), SDWParser::createZones(), StarObjectText::parse(), StarObjectChart::parse(), StarObjectDraw::parse(), and StarObjectSpreadsheet::parse().

## Member Data Documentation

std::string STOFFOLEParser::OleDirectory::m_clipName

the compobj clipname

std::string STOFFOLEParser::OleDirectory::m_clsName

the compobj CLSname

Referenced by STOFFOLEParser::readCompObj().

std::vector<OleContent> STOFFOLEParser::OleDirectory::m_contentList

the list of base name

Referenced by STOFFOLEParser::parse().

std::string STOFFOLEParser::OleDirectory::m_dir

the dir name

Referenced by STOFFOLEParser::parse(), and STOFFOLEParser::readCompObj().

bool STOFFOLEParser::OleDirectory::m_hasCompObj

true if the directory contains a compobj object

Referenced by STOFFOLEParser::parse().

STOFFInputStreamPtr STOFFOLEParser::OleDirectory::m_input

the main input

Referenced by StarObjectChart::parse(), StarObjectText::parse(), StarObjectDraw::parse(), and StarObjectSpreadsheet::parse().

STOFFDocument::Kind STOFFOLEParser::OleDirectory::m_kind

the ole kind

Referenced by STOFFOLEParser::parse().

The documentation for this struct was generated from the following file:

- STOFFOLEParser.hxx